Publications
Cancel a group of queued publications
PATCH
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= length- body
publicationIds*array<>Items
1 <= items <= 100Response for status 200
application/json- response
publications*array<>curl -X PATCH 'https://postbot.example/api/projects/string/publications/cancel' \
-H 'Content-Type: application/json' \
-d '{
"publicationIds": [
"string"
]
}'Example Response
{
"publications": [
{
"id": "string",
"projectId": "string",
"postId": "string",
"channelId": "string",
"targetRevisionId": "string",
"deliveryMode": "manual",
"reviewState": "compatible",
"state": "draft",
"scheduledAt": -9007199254740991,
"publishedAt": -9007199254740991,
"externalId": "string",
"externalUrl": "string",
"errorMessage": "string",
"createdByActorId": "string",
"scheduledByActorId": "string",
"stateChangedByActorId": "string",
"publishedByActorId": "string",
"lastAssessedProfileVersionId": "string",
"createdAt": -9007199254740991,
"updatedAt": -9007199254740991,
"profileAssessmentIssues": [
{}
]
}
]
}